package de.thd.pms.controller;


import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;

import de.thd.pms.model.Buchung;
import de.thd.pms.model.Kunde;
import de.thd.pms.service.BuchungService;
import de.thd.pms.service.KundeService;
import de.thd.pms.service.ZimmerService;

@Controller
@RequestMapping ("/buchung")
public class BuchungController {
	private static Logger log = LogManager.getLogger(BuchungController.class);
	
	@Autowired
	private ZimmerService zimmerService;

	@Autowired
	private BuchungService buchungService;

	@Autowired
	private KundeService kundeService;
	
	@RequestMapping(value="/buchung1",method=RequestMethod.GET)
	   public ModelAndView zimmer1() {
		   ModelAndView mv = new ModelAndView();
		   mv.addObject("title3", "Buchung");
		   mv.setViewName("buchung");
		   return mv;
		   	}
	
	
	@RequestMapping(value="/edit2", method=RequestMethod.GET)
    public ModelAndView edit(@RequestParam(required=false) Long id) {
    	log.debug("edit id=" + id);
    	ModelAndView mv = new ModelAndView();
    	if (id == null) {
    		mv.addObject(new Buchung());
    	} else { 
    		
			
    		
			mv.addObject(buchungService.findById(id));
    	}
    	mv.setViewName("buchung");
    	return mv;
    }
	
	
	
	@RequestMapping(value="/save2", method=RequestMethod.POST)
    public String save(Buchung buchung, Model model) {
        
        buchungService.save(buchung);
        model.addAttribute("statusMessageKey", "person.form.msg.success");
        return "redirect:edit?id=" + buchung.getId();
    }
	
	
	
	/*@RequestMapping("/buchung")
	public String zimmer(Integer anzbett, Integer preisErw, Integer preisKind) {
		
		final long zimmerid;
		
		log.info("zimmer" + anzbett + " " + preisErw + " " + preisKind);
		zimmerid = zimmerService.createZimmer(anzbett, preisErw, preisKind).getId();
		buchungService.createBuchung(zimmerid);
		return "home";
	}*/
	
	
	
}
