package de.thd.pms.controller;

import java.beans.JavaBean;
import java.util.Date;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;
import de.thd.pms.model.Kunde;

import de.thd.pms.service.KundeService;

@JavaBean
@Controller
@RequestMapping("/kunde")
public class KundeController {
	private static Logger log = LogManager.getLogger(KundeController.class);
	
	@Autowired	
	private KundeService kundeService;
	


	@RequestMapping(value="/edit", method=RequestMethod.GET)
	    public ModelAndView edit(@RequestParam(required=false) Long id) {
	    	log.debug("edit id=" + id);
	    	ModelAndView mv = new ModelAndView();
	    	if (id == null) {
	    		mv.addObject(new Kunde());
	    	} else { 
	    		
				
	    		
				mv.addObject(kundeService.findById(id));
	    	}
	    	mv.setViewName("kunde");
	    	return mv;
	    }
	
	
	@RequestMapping(value="/save", method=RequestMethod.POST)
    public String save(Kunde kunde, Model model) {
        
        kundeService.save(kunde);
        model.addAttribute("statusMessageKey", "person.form.msg.success");
        return "redirect:edit?id=" + kunde.getId();
    }
	
	
	}
